# PAec Class Reference

`#include <paec.h>`

Inheritance diagram for PAec:

List of all members.

## Public Member Functions

Construction
| PAec (int _clock=8000, int _sampletime=30)
| Create a new canceler.
| ~PAec ()
void | Send (BYTE *buffer, unsigned &length)
| Recording Channel.
void | Receive (BYTE *buffer, unsigned &length)
| Playing Channel Should be called after decoding and prior to playing.

## Protected Attributes

PMutex | readwritemute
PQueueChannel * | echo_chan
SpeexEchoState * | echoState
SpeexPreprocessState * | preprocessState
int | clockrate
int | bufferTime
PInt64 | minbuffer
PInt64 | maxbuffer
int | sampleTime
ReceiveTimeQueue | rectime
PTimeInterval | lastTimeStamp
PBoolean | receiveReady
void * | ref_buf
void * | echo_buf
void * | e_buf
void * | noise

## Constructor & Destructor Documentation

PAec::PAec | ( | int | _clock = `8000`,
|  | int | _sampletime = `30` |
| ) |  |  |

Create a new canceler.

PAec::~PAec | ( |  | ) |

## Member Function Documentation

void PAec::Receive | ( | BYTE * | buffer,
|  | unsigned & | length |
| ) |  |  |

Playing Channel Should be called after decoding and prior to playing.

void PAec::Send | ( | BYTE * | buffer,
|  | unsigned & | length |
| ) |  |  |

Recording Channel.

Should be called prior to encoding audio

## Member Data Documentation

int PAec::bufferTime `[protected]`

int PAec::clockrate `[protected]`

void* PAec::e_buf `[protected]`

void* PAec::echo_buf `[protected]`

PQueueChannel* PAec::echo_chan `[protected]`

SpeexEchoState* PAec::echoState `[protected]`

PTimeInterval PAec::lastTimeStamp `[protected]`

PInt64 PAec::maxbuffer `[protected]`

PInt64 PAec::minbuffer `[protected]`

void* PAec::noise `[protected]`

SpeexPreprocessState* PAec::preprocessState `[protected]`

PMutex PAec::readwritemute `[protected]`

PBoolean PAec::receiveReady `[protected]`

ReceiveTimeQueue PAec::rectime `[protected]`

void* PAec::ref_buf `[protected]`

int PAec::sampleTime `[protected]`

The documentation for this class was generated from the following file:

- paec.h